ru.bitel.common.model

## Class IdTitle

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem
  Direct Known Subclasses:
    AbstractEntity, AbstractGeographicCode, AbstractTreeNode, AbtractVoiceAccount, AdditionalContractAction, Area, AssistantAction, AssistantActionItem, AttributeType, BalanceBaseType, BankAccount, BGInstalledModule, BGModule, BonusPaymentType, Channel, ChannelType, City, ConfigData, Configuration, ContactType, Contract, Contract, ContractGroup, ContractIdTitleComment, ContractLabelItem, ContractNote, ContractNotification, ContractParameterGroupName, ContractParameterPref, ContractPatternNamedNumber, ContractTariffEntry, CostMap, Country, Dealer, Dealer, DefaultTreeNode, DeviceGroup, DeviceTypeConfig, DialUpNAS, Dispatch, DispatchMessage, DocType, Document, DocumentJournal, DocumentPattern, DocumentStatus, DocumentType, EntitySpec, EntitySpecAttr, EntitySpecAttrListItem, EventScriptLink, EventType, FileInfo, GlobalScriptLink, InetInterface, InetServType, InstalledInstanceModule, LightweightTaskData, MegogoContractSubscription, MegogoContractTryAndBuy, MegogoSubscription, MegogoTryAndBuy, Message, MobiServiceCode, MobNews, News, NumerationPool, Packet, Printer, Product, ProductCategory, ProductSpecActivationMode, Quarter, RangeMap, RangeMapItem, Ratio, ReserveType, RunTelTariff, SBPilotTerminal, Script, SenderType, Service, SmartHousePackageBase, SormProject, Source, Status, Street, SubscriptionMode, SubscriptionType, SubscriptionType, Tag, TariffGroup, TariffItem, TariffLabelItem, TariffOption, TariffOptionActivateMode, TariffPlan, TariffPlanData, TrafficRangeSpec, TrafficType, TrafficTypeLink, TvAccountSpec, User, UserDevice, UserGroup, UserRightRule, VidimaxTariff, VlanResource, VoiceAccountTypeAbstract, VoiceCostMap, VoiceDestination, VoiceOperator, VoiceOption, VoiceZone, VoiceZoneMap, WebMenuItem, Zone

      public class IdTitle
      extends Id
      implements ListItem

  Класс - предок для всех bean, имеющих id и title.
  Поддерживает JAXB сериализацию/десериализацию.
  Successor для ListItem.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `title` Название (описание) объекта

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdTitle()`
    `IdTitle(int id, java.lang.String title)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getTitle()` Возвращает название (описание) объекта
    `void` | `setTitle(java.lang.String title)` Устанавливает название (описание) объекта
    `java.lang.String` | `toString()`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Field Detail

    - #### title

          protected java.lang.String title

      Название (описание) объекта

  - ### Constructor Detail

    - #### IdTitle

          public IdTitle()

    - #### IdTitle

          public IdTitle(int id,
                         java.lang.String title)

  - ### Method Detail

    - #### getTitle

          public java.lang.String getTitle()

      Возвращает название (описание) объекта
      Specified by:
        `getTitle` in interface `ListItem`

    - #### setTitle

          public void setTitle(java.lang.String title)

      Устанавливает название (описание) объекта
      Parameters:
        `value` - название (описание объекта)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `Id`